Subject: Re: MIG Welders

From: [email-masked] (MWRacer)
Date: 9 Apr 1995 20:56:28 -0400

I bought a 110 volt, 20 amp unit from TIP in Ohio, the folks that sell the
sand blast units.  Have had it about a year and am pleased with it.  It
does fine on 1" sq tube and on motorcycle frames.  I have had trouble with
aluminum but that probably is a function of the welder, not the welding
machine.

Cost was under $500.

MWJ